Skip to main content
POST
/
query-gemini
POST /query-gemini
curl --request POST \
  --url https://api.example.com/query-gemini \
  --header 'Content-Type: application/json' \
  --data '
{
  "context": "<unknown>",
  "query": "<string>"
}
'
{
  "answer": "<string>",
  "model": "<string>",
  "query": "<string>",
  "status": "<string>",
  "timestamp": "<string>"
}

Body

application/json

Request payload for querying Gemini AI.

context
any

Additional context for the query.

query
string | null

The natural language query.

Response

Gemini query successful

Response payload from Gemini AI.

answer
string
required

The AI-generated answer.

model
string
required

The model name used for the query.

query
string
required

The original query.

status
string
required

Status of the query.

timestamp
string
required

ISO 8601 timestamp of the response.